VERSION 5.00
Begin VB.Form Sendfax 
   Caption         =   "Send a fax"
   ClientHeight    =   3720
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5010
   Icon            =   "Sendfax.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3720
   ScaleWidth      =   5010
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton CmdAddressBook 
      Caption         =   "Addr.Book"
      Height          =   255
      Left            =   3960
      TabIndex        =   9
      Top             =   240
      Width           =   975
   End
   Begin VB.CommandButton CmdRemoveDoc 
      Caption         =   "Remove"
      Height          =   255
      Left            =   4080
      TabIndex        =   8
      Top             =   1800
      Width           =   855
   End
   Begin VB.CommandButton CmdAddDoc 
      Caption         =   "Add"
      Height          =   255
      Left            =   4080
      TabIndex        =   7
      Top             =   1440
      Width           =   855
   End
   Begin VB.ListBox faxdocuments 
      Height          =   1230
      ItemData        =   "Sendfax.frx":030A
      Left            =   240
      List            =   "Sendfax.frx":030C
      TabIndex        =   6
      Top             =   1800
      Width           =   3735
   End
   Begin VB.TextBox faxfile 
      Height          =   285
      Left            =   240
      TabIndex        =   4
      Top             =   1440
      Width           =   3735
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2640
      TabIndex        =   3
      Top             =   3240
      Width           =   1335
   End
   Begin VB.CommandButton cmSend 
      Caption         =   "Send"
      Height          =   375
      Left            =   1200
      TabIndex        =   2
      Top             =   3240
      Width           =   1215
   End
   Begin VB.TextBox faxnumber 
      Height          =   285
      Left            =   1320
      TabIndex        =   1
      Top             =   240
      Width           =   2535
   End
   Begin VB.Line Line1 
      X1              =   120
      X2              =   4800
      Y1              =   840
      Y2              =   840
   End
   Begin VB.Label Label2 
      Caption         =   "PS-Documents:"
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   1080
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Fax number:"
      Height          =   255
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   975
   End
End
Attribute VB_Name = "Sendfax"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Sub CmdAddressBook_Click()
    If adrbooks_count > 0 Then
        frmAddressBook.Show vbModal
    Else
        MsgBox "No address book defined"
    End If
End Sub

Private Sub cmdCancel_Click()
    Me.Hide
End Sub

Private Sub cmSend_Click()
Dim jobid
Dim faxdoc As String
Dim tmpfilename
Dim n
    faxsession.docmd ("USER " & faxuser) ' Hylafax need this, before sending a fax. Looks like a bug
    jobid = faxsession.job_new()
    Call faxsession.job_param_set("FROMUSER ", CStr(faxuser))
    Call faxsession.job_param_set("LASTTIME", "000300")
    Call faxsession.job_param_set("MAXDIALS", "12")
    Call faxsession.job_param_set("MAXTRIES", "3")
    Call faxsession.job_param_set("SCHEDPRI", "127")
    Call faxsession.job_param_set("DIALSTRING ", CStr(Me.faxnumber))
    If emailaddress <> "" Then Call faxsession.job_param_set("NOTIFYADDR ", emailaddress)
    Call faxsession.job_param_set("NOTIFY", "done+requeue")
    
    If Me.faxfile <> "" Then
        faxdoc = Me.faxfile
        If fileexists(faxdoc) Then
            tmpfilename = faxsession.storefile(CStr(faxdoc))
            Call faxsession.job_param_set("DOCUMENT ", tmpfilename)
        Else
            MsgBox "File " & faxdoc & " not exists."
        End If
    End If
    For n = 0 To Me.faxdocuments.ListCount - 1
        faxdoc = Me.faxdocuments.List(n)
        If fileexists(faxdoc) Then
            tmpfilename = faxsession.storefile(CStr(faxdoc))
            Call faxsession.job_param_set("DOCUMENT ", tmpfilename)
        Else
            MsgBox "File " & faxdoc & " not exists."
        End If
    Next
    
    faxsession.submitjob
    Me.Hide
End Sub

Private Sub CmdAddDoc_Click()
    If faxfile <> "" Then
        Me.faxdocuments.AddItem (Me.faxfile)
        Me.faxfile = ""
    End If
End Sub

Private Sub CmdRemoveDoc_Click()
    If Me.faxdocuments.ListIndex >= 0 Then
        Me.faxfile = Me.faxdocuments.List(Me.faxdocuments.ListIndex)
        Me.faxdocuments.RemoveItem (Me.faxdocuments.ListIndex)
    End If
End Sub

